#include <Carbon/Carbon.r>
#include "ConduitTypes.r"
#include "MoCxConduit.h"

//Conduit Info
resource 'CInf' (0)
{
	nonNativeConduit,	
	kMoCxConduitVersionDef,	
	kMoCxConduitCreatorDef,
	"MoCx Conduit",
	"MoCxƒ",
	defaultPriority,
	doesntWantUserInterface,
	{},
	{}					
};

#if 0
resource 'CNTL' (128, purgeable) {
{44, 112, 120, 332},
	0,
	visible,
	100,
	0,
	kControlRadioGroupProc,
	0,
	""
};


resource 'DITL' (rSettingsDialog, purgeable) {
{	/* array DITLarray: 7 elements */
	/* [1] */
{163, 263, 183, 332},
	Button {
		enabled,
		"OK"
	},
	/* [2] */
{163, 182, 183, 251},
	Button {
		enabled,
		"Cancel"
	},
	/* [3] */
{12, 20, 28, 263},
	StaticText {
		disabled,
		"HotSync Action for:  MoCroix Conduit"
	},
	/* [4] */
{44, 112, 120, 332},
	Control {
		enabled,
		128
	},
	/* [5] */
{44, 112, 64, 332},
	RadioButton {
		enabled,
		"Direct Synchro"
	},
	/* [6] */
{71, 112, 91, 332},
	RadioButton {
		enabled,
		"Run MacMoCroix"
	},
	/* [7] */
{100, 112, 120, 332},
	RadioButton {
		enabled,
		"Do nothing"
	},
}
};


resource 'DLOG' (rSettingsDialog, purgeable) {
{68, 381, 271, 733},
	kWindowSheetProc,
	invisible,
	noGoAway,
	0x0,
	rSettingsDialog,
	"Mocroix Conduit Settings",
	centerParentWindow
};


resource 'dlgx' (rSettingsDialog) {
	versionZero {
		kDialogFlagsUseThemeControls | kDialogFlagsHandleMovableModal | kDialogFlagsUseControlHierarchy | kDialogFlagsUseThemeBackground
	}
};

#endif
