/*
 *  cfmglue.h
 *  MoCxConduit
 *
 *  Created by Daniel Braun on 12/03/05.
 *  Copyright 2005 __MyCompanyName__. All rights reserved.
 *
 */
#ifndef CFMGLUE_H
#define CFMGLUE_H


#include <Carbon/Carbon.h>

/*
 * getHotSyncLib shall be called before any
 * hotsync library function is called (typ. in OpenConduitCarbon)
 * it maps *some* CFM symbols of hotsync lib
 * (actually few symbols are mapped. must be extended for other conduits)
 */
int  CfmGmlueGetHotSyncLib(void);
/*
 * free stuff allocated by CfmGmlueGetHotSyncLib
 */
void CfmGlueFreeHotSyncLib(void);

#endif